Bug 1293585 - activation-key product-content command show 'Request Timeout' error
activation-key product-content command show 'Request Timeout' error
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
x86_64 Linux
unspecified Severity high (vote)
: Beta
: --
Assigned To: Zach Huntington-Meath
Katello QA List
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-12-22 04:43 EST by Oleksandr Shtaier
Modified: 2016-07-27 07:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-27 07:37:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot that shows that UI works properly (40.09 KB, image/png)
2015-12-22 06:56 EST, Oleksandr Shtaier
no flags Details

  None (edit)
Description Oleksandr Shtaier 2015-12-22 04:43:32 EST
Description of problem:
When Red Hat product is associated with existing activation key entity - we cannot read that information back through product-content command due 'Error: Request Timeout' entry in output.

Functionality works just fine for custom products/repos

Issue seems only specific to CLI as UI represents all information properly

Doesn't seem as issue specific to only one product, but, just in case, put all details here:
Product - Red Hat Enterprise Linux Server
Reposet - Red Hat Satellite Tools 6.1 (for RHEL 7 Server) (RPMs)
Repo - Red Hat Satellite Tools 6.1 for RHEL 7 Server RPMs x86_64

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Associate RH product to Activation Key 
2. Try to read data back using 'hammer -u admin -p pass activation-key product-content --id xx'

Actual results:
Error is raised

Expected results:
Data is retrieved

Additional info:
Comment 2 Oleksandr Shtaier 2015-12-22 06:56 EST
Created attachment 1108619 [details]
Screenshot that shows that UI works properly
Comment 3 Zach Huntington-Meath 2016-03-07 11:39:33 EST
I don't think this is an issue anymore, I have replicated the conditions mentioned in the ticket both in a development and production environment. I do not get the error mentioned from Hammer CLI, instead I get back the desired information about the activation-keys product-content. If you feel like this issue has not been resolved, please let me know.
Comment 4 jcallaha 2016-03-24 16:48:17 EDT
Verified in Satellite 6.2 Beta snap 5.1

The command now works as expected.
Comment 7 Bryan Kearney 2016-07-27 07:37:20 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.